<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="MetaModules|Single Password Testing">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Single Credential Testing MetaModule</title>
        
        <link href="../../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../../index.html#18-metamodules/single-credential-testing/single-credential-testing.html">Open topic with navigation</a>
        </p>
        <h1>Single Credential Testing MetaModule</h1>
        <p>

The Single Credential Testing MetaModule recycles a known credential pair to identify additional systems that can be authenticated. You can run this MetaModule to demonstrate how password reuse could expose major weaknesses in an enterprise’s security posture. A single cracked password can enable you to easily compromise other systems that share the same password. </p>
        <p>To use the Single Credential Testing MetaModule, you need to provide it with a known credential pair that you’ve uncovered through a scan, bruteforce attack, or phishing attack. 

When you configure this MetaModule, you need to define the target hosts and the services that you want to attempt to authenticate. After the MetaModule completes its run, it generates a report that details the hosts on which it was able to authenticate the credentials. </p>
        <h2>Lockout Risks</h2>
        <p>An account lockout disables an account and prevents you from accessing the account for the duration of the lockout period. When you configure the Single Credential Testing MetaModule, you should factor in the lockout risk for the services that you choose. </p>
        <p>Each service is categorized into the following lockout risks:</p>
        <ul>
            <li value="1"><b>Low Risk</b>	- Any service that typically does not enforce account lockouts, such as AFP, DB2, EXEC, FTP, HTTP, HTTPS, LOGIN, Oracle, Postgres, SHELL, SNMP, SSH_PUBKEY, Telnet, and VNC.
</li>
            <li value="2"><b>Medium Risk</b> -	Any service that typically enforces account lockouts, such as
MSSQL, MySQL, POP3, and SSH.
</li>
            <li value="3"><b>High Risk</b> -	Any service that uses Windows authentication, such as PC Anywhere, SMB, vmauthd, and WinRM.
</li>
        </ul>
        <h2>Running the Single Credential Testing MetaModule</h2>
        <ol>
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; MetaModules</b>.<br /><br /></li>
            <li value="2">Find the <b class="UISelection">Single Credential Testing</b> MetaModule and click the <b class="UISelection">Launch </b>button. The Single Credential Testing window appears.<br /><br /><img src="../../Resources/Images/single-pswd-metamodule-1_433x252.png" style="width: 433;height: 252;" /></li>
            <li value="3">From the <b class="UISelection">Scope</b> tab, enter the target address range you want to use for the test. The target address range must match the hosts in the workspace.<br /><br /><img src="../../Resources/Images/single-pswd-scope-1_372x267.png" style="width: 372;height: 267;" /></li>
            <li value="4">Click on the <b class="UISelection">Services and Ports</b> tab. The Services form appears.<br /><br /><img src="../../Resources/Images/single-pswd-services-1_351x251.png" style="width: 351;height: 251;" /></li>
            <li value="5">Select the services that you want to attempt to authenticate. All services are categorized based on their lockout risk, which is the likelihood that the service enforces account lockouts.</li>
            <li value="6">Click on the <b class="UISelection">Credentials</b> tab. The Credentials form appears. <br /></li>
            <li value="7">You can choose one of the following options to supply the MetaModule with credentials:</li>
        </ol>
        <ul start="8">
            <li class="indentedList" value="8"><b class="UISelection">Enter a known credential pair</b> - You need to manually enter the user name and password combination that you want the MetaModule to use. Use this method for credentials obtained from phishing attacks.</li>
            <li class="indentedList" value="9"><b class="UISelection">Choose an existing credential pair</b> - You can select the user name and password combination from a list of known credentials. These credentials were obtained from a bruteforce attack, discovery scan, or data import.<br /><br /><img src="../../Resources/Images/metamodules/single-pswd-creds-1_350x252.png" style="width: 350;height: 252;" /></li>
        </ul>
        <ol start="8">
            <li value="8">Click the <b class="UISelection">Report </b>tab. The Report configuration form appears. <br /><br /><img src="../../Resources/Images/metamodules/single-pswd-report-1_364x263.png" style="width: 364;height: 263;" /></li>
            <li value="9">Enter a name for the report in the <b class="UISelection">Report Name</b> field, if you want to use a custom report name.  Otherwise, the MetaModule uses the default report name.<br /></li>
            <li value="10">Select PDF, Word, RTF, or HTML for the report format.<br /></li>
            <li value="11">From the <b class="UISelection">Sections </b>area, deselect any sections you do not want to include in the report. Skip this step if you want to generate all the report sections.<br /><br /><img src="../../Resources/Images/metamodules/metamodules-known-creds-report-sections-1_197x91.png" style="width: 197;height: 91;" /></li>
            <li value="12">Select the <b class="UISelection">Email Report</b> option if you want to e-mail the report after it generates. If you enable this option, you need to supply a comma separated list of e-mail addresses.</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>If you want to e-mail a report, you must set up a local mail server or e-mail relay service for <span class="VariablesProductName">Metasploit Pro</span> to use. To define your mail server settings, select <b class="UISelection">Administration &gt; Global Settings &gt; SMTP Settings</b>.</p>
        <ol start="13">
            <li value="13">Click the <b class="UISelection">Launch</b> button.</li>
        </ol>
        <p>When the MetaModule launches, the Findings window appears and displays the real-time statistics and tasks log for the MetaModule run. You can track the total number of hosts that the MetaModule attempted to authenticate, the total number of login attempts, and the total number of successful logins. If you want to view all the event details, you can click on the Task Log tab.</p>
        <p>After the MetaModule completes its run, you should go the Reports area to view the Single Credential Testing Report. The first few pages of the report show graphs and tables that provide a high-level breakdown of authenticated services and hosts.  For a more detailed look at the compromised hosts, you can look at the Authenticated Services and Hosts Details section, which shows the services that were authenticated and the sessions that were opened on each host.</p>
    </body>
</html>